Filewatcher File Search File Search
Content Search
» » » » »


Qt 3 compatibility library for Qt 4

Qt is a cross-platform C++ application framework. Qt's primary feature is its rich set of widgets that provide standard GUI functionality.

This packages contains the Qt 3 compatibility library for Qt 4. It allows applications designed to use deprecated Qt 3 classes and functions to work with Qt 4, with help from the qt3to4 porting tool found in the libqt4-dev package.


Package version:4.2.1-2+etch1


This is Qt version 4.2.1.

Qt is a comprehensive cross-platform C++ application framework. Qt 4.2
introduces new features and many improvements over the 3.x series. See for details.

The Qt 4.x series is not binary compatible or source compatible with
the 3.x series. For more information on porting from Qt 3 to Qt 4, see


qt4-x11 (4.2.1-2+etch1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix UTF8 long sequence rejection bug (CVE-2007-0242)

 -- Noah Meyerhans <>  Tue,  1 May 2007 16:10:17 -0400

qt4-x11 (4.2.1-2) unstable; urgency=low

  * debian/patches/20_hppa_inotify_fix.dpatch: new patch that should fix
    the FTBFS on hppa due to missing defines (Closes: 


Qt 4.2.1 is a bug-fix release. It maintains both forward and backward
compatibility (source and binary) with Qt 4.2.0.

The Qt version 4.2 series is binary compatible with the 4.1.x and 4.0.x series.
Applications compiled for 4.0 or 4.1 will continue to run with 4.2.

*                           General                   


This package was debianized by Brian Nelson <> on Sun, 10
Apr 2005 21:23:49 -0700.


Browse inside libqt4-qt3support_4.2.1-2+etch1_i386.deb

         [DIR]DEBIAN/ (5)  65535+ mirrors
         [DIR]usr/ (2)  65535+ mirrors

Download libqt4-qt3support_4.2.1-2+etch1_i386.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016